\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../../yomcat, ../../diagrams}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 409 \hfill
Assignment 9 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item Let $m$ be any function. Then $x \in \textrm{dom}(m)$ iff $\exists y\ \tuple{x,y} \in \textrm{grf}(m)$. So, if the graph of $m$ is defined, then the domain of $m$ is also defined. \\
	We already know that the graphs for $f, g_1, \dots, g_k$ are defined. Then \[ h(x_1, \dots, x_n) = y \IFF \exists y_1, \dots y_k\ \displaystyle\bigwedge_{i=1}^{k} \tuple{x_1, \dots, x_n, y_i} \in \textrm{grf}(g_i)\ \land\ \tuple{y_1, \dots, y_k, y} \in \textrm{grf}(f) \] Replace each instance of grf by its definition, and hence we have a definition for grf($h$), and the definition for the domain follows from the fact above. \pend
	\item \begin{enumerate}[(a)]
		\item The set $\Sigma^P$ is semidecidable as we have to say "there exists $n$ such that $n$ is a proof of $F_n(s^n(0))$ from $\Sigma$". This is a projection of a decidable set, so therefore it is semidecidable. \pend
		\item If $n \in \Sigma^P$ then there is a proof of $F_n(s^n(0))$ from $\Sigma$. $\Sigma$ is a semantic consequence of \mbb{N}, so there is also a proof of $F_n(s^n(0))$ from \mbb{N}. Therefore $F_n(s^n(0)) \in \mbb{N}$. \pend
		\item \begin{enumerate}[i.]
			\item \begin{align*}
				m \in \Sigma^P &\IFF \Sigma \vdash F_m(s^m(0)) \\
				&\textrm{ implies } \mbb{N} \vDash F_m[m] \\
				&\IFF \mbb{N} \vDash \lnot G_\Sigma \\
				&\IFF m \notin \Sigma^P
				\end{align*}
			As this is a contradiction, $m \notin \Sigma^P$, so $\Sigma \not\vdash F_m(s^m(0))$. \pend
			\item \begin{align*}
				\mbb{N} \vDash F_m[m] &\IFF m \notin \Sigma^P \\
				&\IFF \Sigma \not\vdash mF_m(s^m(0))
				\end{align*}
			We already know this last fact is true (from part i), so $\mbb{N} \vDash F_m[m]$. \pend
			\item $\Sigma^P$, which is the set of formulas of which there is a proof from $\Sigma$, is defined to specifically exclude $m$. As $m \notin \Sigma^P$, there can't be a proof of $F_m(s^m(0))$ from $\Sigma$.
		\end{enumerate}
	\end{enumerate}
\end{enumerate}

\end{document}